# Deprecated API

## Contents

- Classes
- Constructors

- Deprecated Classes
  Class
  Description
  org.apache.lucene.analysis.es.SpanishMinimalStemFilter
  Use `SpanishPluralStemFilter` instead.
  org.apache.lucene.analysis.es.SpanishMinimalStemFilterFactory
  Use `SpanishPluralStemFilterFactory` instead
  org.apache.lucene.analysis.miscellaneous.FixBrokenOffsetsFilter
  Fix the token filters that create broken offsets in the first place.
  org.apache.lucene.analysis.miscellaneous.FixBrokenOffsetsFilterFactory
  org.apache.lucene.analysis.miscellaneous.WordDelimiterFilter
  Use `WordDelimiterGraphFilter` instead: it produces a correct token graph so that e.g. `PhraseQuery` works correctly when it's used in the search time analyzer.
  org.apache.lucene.analysis.miscellaneous.WordDelimiterFilterFactory
  Use `WordDelimiterGraphFilterFactory` instead: it produces a correct token graph so that e.g. `PhraseQuery` works correctly when it's used in the search time analyzer.
  org.apache.lucene.analysis.synonym.SynonymFilter
  Use `SynonymGraphFilter` instead, but be sure to also use `FlattenGraphFilter` at index time (not at search time) as well.
  org.apache.lucene.analysis.synonym.SynonymFilterFactory
  Use `SynonymGraphFilterFactory` instead, but be sure to also use `FlattenGraphFilterFactory` at index time (not at search time) as well.

- Deprecated Constructors
  Constructor
  Description
  org.apache.lucene.analysis.compound.DictionaryCompoundWordTokenFilter(TokenStream, CharArraySet, int, int, int, boolean, boolean)